﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Duality;

namespace Space_Station_Escape
{
    [Serializable]
    public class BombBlock : Component, ICmpUpdatable, ICmpInitializable  
    {
        float timeCreated;

        float lifetime = 10f;

        public void OnUpdate()
        {
            if (Time.GameTimer.Seconds - timeCreated >= lifetime)
            {
                this.GameObj.DisposeLater();
            }
        }

        public void OnInit(Component.InitContext context)
        {
            if (context.Equals(InitContext.Activate))
            {
                this.timeCreated = Time.GameTimer.Seconds;
            }
        }

        public void OnShutdown(Component.ShutdownContext context)
        {
            timeCreated = 0;
        }
    }
}

